package com.prodhack.moscow2025.domain.usecase.resumes

import com.prodhack.moscow2025.domain.interfaces.resumes.ResumeRepository
import com.prodhack.moscow2025.domain.models.ResumeModel
import org.koin.core.annotation.Single

@Single
class RefreshResumeUseCase(
	private val resumeRepository: ResumeRepository
) {
	suspend operator fun invoke(resumeId: String): Result<ResumeModel> =
		resumeRepository.refreshResume(resumeId)
}
